TaliwareTaliware Developer

Create (mint) a new NFT

https://developer.taliware.com/api/v1/cl2c/nft

Back to all CL2C endpoints

Complete endpoint URL
posthttps://developer.taliware.com/api/v1/cl2c/nft
POST
/cl2c/nft
x-api-key<token>

In: header

namestring
description?string
externalUrl?string
imagePath?string

Optional. ipfs:// URI, data URI, raw base64, http(s) URL, or local path for the asset's image. If omitted, the NFT is created as traceability-only — an on-chain record and metadata JSON are created with no IPFS file upload.

metadata?object

Empty Object

smartContractIdstring
supply?integer
copyrightarray<object>

Response Body

curl -X POST "https://developer.taliware.com/api/v1/cl2c/nft" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "smartContractId": "string",    "copyright": [      {        "userId": "string",        "percentage": 0      }    ]  }'
{
  "id": "string",
  "status": "string",
  "name": "string",
  "description": "string",
  "externalUrl": "string",
  "imagePath": "string",
  "supply": 0,
  "mintedAt": "2019-08-24T14:15:22Z",
  "smartContract": {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "contractAddress": "string",
    "status": "string",
    "network": "string",
    "env": "string"
  },
  "metadata": {},
  "copyright": [
    {
      "id": "string",
      "status": "PENDING",
      "percentage": 0,
      "email": "string",
      "copyAuthLocation": "string",
      "copyAuthTimestamp": "2019-08-24T14:15:22Z",
      "walletAddress": [
        {
          "address": "string",
          "isPrimary": true
        }
      ],
      "userName": "string",
      "userImage": "string"
    }
  ],
  "totalOwners": 0
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Create (mint) a new NFT